> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unifygtm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create list

> Create an empty list of records of one object.



## OpenAPI

````yaml POST /data/v1/lists
openapi: 3.1.0
info:
  title: Unify Data API
  summary: Interact with objects, attributes, and records within the Unify platform.
  version: '1'
  termsOfService: https://www.unifygtm.com/legal/terms-and-conditions
  contact:
    name: Unify Support
    url: https://www.unifygtm.com/support
    email: support@unifygtm.com
servers:
  - url: https://api.unifygtm.com
    variables: {}
security:
  - ApiKeyAuth: []
tags:
  - name: Data
  - name: Object Record Query Jobs
  - name: Event Query Jobs
  - name: Lists
  - name: List Entries
  - name: Objects
  - name: Object Attributes
  - name: Object Attribute Options
  - name: Object Records
paths:
  /data/v1/lists:
    post:
      tags:
        - Data
        - Lists
      description: Create an empty list.
      operationId: create_list
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateListRequest'
      responses:
        '201':
          description: Response for a successful create operation.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - data
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    $ref: '#/components/schemas/UList'
                description: Response for a successful create operation.
        '400':
          description: Response for any operation that results in a bad request error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                properties:
                  status:
                    type: string
                    enum:
                      - bad_request
                  errors:
                    type: array
                    items:
                      $ref: '#/components/schemas/UResponses.BadRequestError'
                  message:
                    type: string
                description: >-
                  Response for any operation that results in a bad request
                  error.
        '401':
          description: Response for any operation that results in an unauthorized error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - unauthorized
                  message:
                    type: string
                description: >-
                  Response for any operation that results in an unauthorized
                  error.
        '403':
          description: Response for any operation that results in a forbidden error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - forbidden
                  message:
                    type: string
                description: Response for any operation that results in a forbidden error.
        '404':
          description: Response for any operation that results in a not found error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - object_not_found
                  message:
                    type: string
                description: Response for any operation that results in a not found error.
        '409':
          description: Response for any operation that results in a conflict error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - list_conflict
                  message:
                    type: string
                description: Response for any operation that results in a conflict error.
        '429':
          description: Response for any operation that exceeds a rate limit.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - rate_limited
                  message:
                    type: string
                description: Response for any operation that exceeds a rate limit.
        '500':
          description: Response for any operation that results in an internal server error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                description: >-
                  Response for any operation that results in an internal server
                  error.
components:
  schemas:
    CreateListRequest:
      type: object
      required:
        - name
        - object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
          description: Name of the list. Must be unique within the workspace.
        object:
          $ref: '#/components/schemas/UObjects.UObjectName'
          description: |-
            API name of the object whose records the list will hold. Cannot be
            changed after creation.
        share_status:
          $ref: '#/components/schemas/UListShareStatus'
          description: Who can see and change the list. Defaults to `ONLY_ME`.
      description: Request body for creating a list.
    UList:
      type: object
      required:
        - id
        - created_at
        - updated_at
        - name
        - object
        - owner_id
        - share_status
      properties:
        id:
          $ref: '#/components/schemas/UValues.UUuid'
          description: Unique identifier for the list.
        created_at:
          type: string
          format: date-time
          description: Date and time the list was created.
        updated_at:
          type: string
          format: date-time
          description: Date and time the list was last updated.
        name:
          type: string
          description: Name of the list. Unique within the workspace.
        object:
          $ref: '#/components/schemas/UObjects.UObjectName'
          description: >-
            API name of the object whose records the list holds. Cannot be
            changed

            after creation.
        owner_id:
          $ref: '#/components/schemas/UValues.UUuid'
          description: ID of the user who owns the list.
        share_status:
          $ref: '#/components/schemas/UListShareStatus'
          description: Who can see and change the list.
      description: A named collection of records of one object.
    UResponses.BadRequestError:
      type: object
      required:
        - code
      properties:
        code:
          type: string
        path:
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        object_api_name:
          type: string
        attribute_api_name:
          type: string
      allOf:
        - type: object
          unevaluatedProperties: {}
      description: Validation error detail returned for bad request responses.
    UObjects.UObjectName:
      type: string
      description: |-
        The API name of an object, e.g. `company`, `person`, `opportunity`, or a
        custom object's API name.
    UListShareStatus:
      type: string
      enum:
        - ONLY_ME
        - ALL_OTHERS_CAN_VIEW
        - ALL_OTHERS_CAN_EDIT
      description: >-
        Who can see and change a list beyond its owner.


        - `ONLY_ME`: Access is limited to the owner and users explicitly granted

        access.

        - `ALL_OTHERS_CAN_VIEW`: Everyone in the workspace can view the list.
        Only

        the owner and users with manage access can change it.

        - `ALL_OTHERS_CAN_EDIT`: Everyone in the workspace can view and change
        the

        list.
    UValues.UUuid:
      type: string
      description: String UUIDv4 value.
      title: UUuid
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.